public class brayton1
{
Gas1 g;
double Wturbin,Wkompresor,Wkompresor1,Wkompresor2,Wnet;
double Qhavasogutucusu, Qonisitici;
double Q,Qisi,eta,etaisi,etatoplam,T1,P1,T2,P2,T3,P3,T4,P4,T5,P5,T6,P6,T7,P7,T8,P8;
public brayton1(double m,double T1,double P1, double T3,double P3, double T6, double P6,double T8,double etakompresor1,double etakompresor2,double etaturbin)
{
// double m : hava kütlesel debisi
// double T1: birinci kompresör giriş sıcaklığı
// double P1: birinci kompresör giriş basıncı
// double T3: ikinci kompresör giriş sıcaklığı
// double P3: ikinci kompresör giriş basıncı
// double T6: Türbin giriş sıcaklığı
// double P6: Türbin giriş basıncı
// double T8: ısı değiştirici hava çıkış sıcaklığı
// double etakompresor1: birinci kompresör isentropik verimi
// double etakompresor2: kompresör isentropik verimi
// double etaturbin: türbin  isentropik verimi
/* Gas1 sınıfı çıktı değişkenleri
pp[0]=p;
pp[1]=t;
pp[2]=v(t,p);
pp[3]=h(t);
pp[4]=u(t);
pp[5]=s(t,p);
pp[6]=g(t,p);
pp[7]=ht(t);
pp[8]=gt(t,p);
pp[9]=Cp(t);
pp[10]=Cv(t);
pp[11]=gamma(t);
pp[12]=c(t);
pp[13]=vis(t);
pp[14]=k(t);
pp[15]=M;
pp[16]=Prandtl(t);
pp[17]=pr(t);
pp[18]=vr(t);
*/
g=new Gas1("air");
g.mole=false;
// 1 noktası birinci kompresör girişi
double P2=P3;
double a1[]=g.property(T1,P1);
double h1=a1[3];
double s1=a1[5];
double pr1=a1[17];
// 2i noktası birinci kompresör isentropik çıkışı
double pr2=P2/P1*pr1;
double T2i=g.Ti(pr2,P2);
double a2i[]=g.property(T2i,P2);
double h2i=a2i[3];
double Cp2i=a2i[9];
//System.out.println("t2i="+T2i+"h2i="+h2i+"pr2="+pr2);
// 2 noktası birinci kompresör çıkışı
double h2=(h2i-h1)/etakompresor1+h1;
double T2=(h2i-h2)/Cp2i+T2i;
double a2[]=g.property(T2,P2);
double s2=a2[5];
//============
// 3 noktası ikinci kompresör girişi
double P4=P6;
double a3[]=g.property(T3,P3);
double h3=a3[3];
double s3=a3[5];
double pr3=a3[17];
// 4i noktası ikinci kompresöe isentropik çıkışı
double pr4=P4/P3*pr3;
double T4i=g.Ti(pr4,P4);
double a4i[]=g.property(T4i,P4);
double h4i=a4i[3];
double Cp4i=a4i[9];
// 4 noktası ikinci kompresör çıkışı
double h4=(h4i-h3)/etakompresor2+h3;
double T4=(h4i-h4)/Cp4i+T4i;
double a4[]=g.property(T4,P4);
double s4=a4[5];
double Cp4=a4[9];
//============
//6 noktası türbin girişi
double a6[]=g.property(T6,P6);
double h6=a6[3];
double s6=a6[5];
double pr6=a6[17];
//System.out.println("pr3="+g.pr(T3));
double P7=P1;
double pr7=P7/P6*pr6;
//System.out.println("t3="+T3+"h3="+h3+"s3="+s3+"pr3="+pr3+"pr4="+pr4);
//7i noktası isentropik türbin çıkışı
double T7i=g.Ti(pr7,P7);
double a7i[]=g.property(T7i,P7);
double h7i=a7i[3];
double Cp7i=a7i[9];
//7 noktasıtürbin çıkışı
double h7=h6-etaturbin*(h6-h7i);
double T7=(h7-h7i)/Cp7i+T7i;
double a7[]=g.property(T7,P7);
double s7=a7[5];
//8 noktası ısı değiştirici çıkışı
double P8=P1;
double a8[]=g.property(T8,P8);
double h8=a8[3];
double s8=a8[5];
// ön hava ısıtıcısı:
Qonisitici=m*(h7-h8);
double P5=P6;
double h5=(h7-h8)+h4;
double T5=(h5-h4)/Cp4+T4;
double a5[]=g.property(T5,P5);
double s5=a5[5];
// kompresör hava soğutucu
Qhavasogutucusu=m*(h2-h3);

Wturbin=m*(h6-h7);
Wkompresor1=m*(h2-h1);
Wkompresor2=m*(h4-h3);
Wkompresor=Wkompresor1+Wkompresor2;
Q=m*(h6-h5);
Wnet=Wturbin-Wkompresor;
eta=Wnet/Q;
this.T1=T1;
this.P1=P1;
this.T2=T2;
this.P2=P2;
this.T3=T3;
this.P3=P3;
this.T4=T4;
this.P4=P4;
this.T5=T5;
this.P5=P5;
this.T6=T6;
this.P6=P6;
this.T7=T7;
this.P8=P8;
}
public String toString()
{
String s=" Brayton çevrimi \n";
s+="Türbin güç çıkışı W türbin = "+Wturbin+" kW \n";
s+="kompresör güç ihtiyacı W kompresor = "+Wkompresor+" kW\n";	
s+="birinci kompresör güç ihtiyacı W kompresor1 = "+Wkompresor1+" kW\n";	
s+="ikinci kompresör güç ihtiyacı W kompresor2 = "+Wkompresor2+" kW\n";	
s+="Net güç çıkışı Wnet = "+Wnet+" kW\n";
s+="Isı enerjisi girişi Q = "+Q+" kW\n";
s+="Hava ön ısıtıcı ısı enerjisi girişi Q = "+Qonisitici+" kW\n";
s+="kompresör soğutma  enerjisi girişi Q = "+Qhavasogutucusu+" kW\n";
s+="güç çevrimi verimi eta  = "+eta+"\n";
s+="kompresör giriş sıcaklığı = "+(T1-273.15)+" derece C\n";
s+="kompresör giriş basıncı   = "+P1+" bar\n";
s+="Yanma odası giriş sıcaklığı = "+(T2-273.15)+" derece C\n";
s+="Yanma odası giriş basıncı   = "+P2+" bar\n";
s+="Türbin giriş sıcaklığı = "+(T3-273.15)+" derece C\n";
s+="Türbin giriş basıncı   = "+P3+" bar\n";
s+="Türbin çıkış sıcaklığı = "+(T4-273.15)+" derece C\n";
s+="Türbin çıkış basıncı   = "+P4+" bar\n";
return s;
}

}